const int outputPin1 = 2;
const int outputPin2 = 3;
const int outputPin3 = 4;
const int LED11 = 5;
const int LED12 = 6;
const int LED13 = 7;
const int LED21 = 8;
const int LED22 = 9;
const int LED23 = 10;
const int LED31 = 11;
const int LED32 = 12;
const int LED33 = 13;


void setup() {
  Serial.begin(9600);
  pinMode(outputPin1, OUTPUT);
  pinMode(outputPin2, OUTPUT);
  pinMode(outputPin3, OUTPUT);
  pinMode(LED11, OUTPUT);
  pinMode(LED12, OUTPUT);
  pinMode(LED13, OUTPUT);
  pinMode(LED21, OUTPUT);
  pinMode(LED22, OUTPUT);
  pinMode(LED23, OUTPUT);
  pinMode(LED31, OUTPUT);
  pinMode(LED32, OUTPUT);
  pinMode(LED33, OUTPUT);
}

long next_output_time_1 = 0;
long next_output_time_2 = 0;
long next_output_time_3 = 0;

long output_interval_1 = 272; // a 2272
long output_interval_2 = 864; // f 2864
long output_interval_3 = 550; // g 2550

int output_state_1 = LOW;
int output_state_2 = LOW;
int output_state_3 = LOW;

void loop() {
  long now = micros();
  int inner = analogRead(0);
  int middle = analogRead(1);
  int outer = analogRead(2);
  int x = map(inner, 0, 1023, 0, 2);
  int y = map(middle, 0, 1023, 0, 2);
  int z = map(outer, 0, 1023, 0, 2);
  if (x == 1) {
    if (now > next_output_time_1) {
      next_output_time_1 = now + output_interval_1;
      output_state_1 = !output_state_1;
      digitalWrite( outputPin1, output_state_1 );
    }
  }
  digitalWrite(LED11, x);
  digitalWrite(LED12, x);
  digitalWrite(LED13, x);
  if (y == 1) {
    if (now > next_output_time_2) {
      next_output_time_2 = now + output_interval_2;
      output_state_2 = !output_state_2;
      digitalWrite( outputPin2, output_state_2 );
    }
  }
  digitalWrite(LED21, y);
  digitalWrite(LED22, y);
  digitalWrite(LED23, y);
  if (z == 1) {
    if (now > next_output_time_3) {
      next_output_time_3 = now + output_interval_3;
      output_state_3 = !output_state_3;
      digitalWrite(outputPin3, output_state_3);
    }
  }
  digitalWrite(LED31, z);
  digitalWrite(LED32, z);
  digitalWrite(LED33, z);
}

